package com.qmth.teachcloud.report.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.teachcloud.report.business.bean.result.TBExamStudentResult;
import com.qmth.teachcloud.report.business.entity.TBExamStudent;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 考生表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TBExamStudentMapper extends BaseMapper<TBExamStudent> {

    /**
     * 查询开课学院列表
     *
     * @param examId
     * @param courseCode
     * @return
     */
    List<TBExamStudentResult> selectTeachCollegeList(@Param("examId") Long examId, @Param("courseCode") String courseCode);

    /**
     * 查询考察学院列表
     *
     * @param examId
     * @param courseCode
     * @return
     */
    List<TBExamStudentResult> selectInspectCollegeList(@Param("examId") Long examId, @Param("courseCode") String courseCode);

    /**
     * 查询老师列表
     *
     * @param examId
     * @param courseCode
     * @return
     */
    List<TBExamStudentResult> selectTeachList(@Param("examId") Long examId, @Param("courseCode") String courseCode);

    /**
     * 查询班级列表
     *
     * @param examId
     * @param courseCode
     * @return
     */
    List<TBExamStudentResult> selectClassList(@Param("examId") Long examId, @Param("courseCode") String courseCode);
}
