package com.qmth.teachcloud.report.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.report.business.bean.result.TBExamStudentResult;
import com.qmth.teachcloud.report.business.entity.TBExamStudent;

import java.util.List;

/**
 * <p>
 * 考生表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TBExamStudentService extends IService<TBExamStudent> {

    /**
     * 查询开课学院列表
     *
     * @param examId
     * @param courseCode
     * @return
     */
    List<TBExamStudentResult> selectTeachCollegeList(Long examId, String courseCode);

    /**
     * 查询考察学院列表
     *
     * @param examId
     * @param courseCode
     * @return
     */
    List<TBExamStudentResult> selectInspectCollegeList(Long examId, String courseCode);

    /**
     * 查询老师列表
     *
     * @param examId
     * @param courseCode
     * @return
     */
    List<TBExamStudentResult> selectTeachList(Long examId, String courseCode);

    /**
     * 查询班级列表
     *
     * @param examId
     * @param courseCode
     * @return
     */
    List<TBExamStudentResult> selectClassList(Long examId, String courseCode);
}
