package com.qmth.teachcloud.report.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.report.business.bean.result.TBExamStudentResult;
import com.qmth.teachcloud.report.business.entity.TBExamStudent;
import com.qmth.teachcloud.report.business.mapper.TBExamStudentMapper;
import com.qmth.teachcloud.report.business.service.TBExamStudentService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 考生表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
@Service
public class TBExamStudentServiceImpl extends ServiceImpl<TBExamStudentMapper, TBExamStudent> implements TBExamStudentService {

    @Resource
    TBExamStudentMapper tbExamStudentMapper;

    /**
     * 查询开课学院列表
     *
     * @param examId
     * @param courseCode
     * @return
     */
    @Override
    public List<TBExamStudentResult> selectTeachCollegeList(Long examId, String courseCode) {
        return tbExamStudentMapper.selectTeachCollegeList(examId, courseCode);
    }

    /**
     * 查询考察学院列表
     *
     * @param examId
     * @param courseCode
     * @return
     */
    @Override
    public List<TBExamStudentResult> selectInspectCollegeList(Long examId, String courseCode) {
        return tbExamStudentMapper.selectInspectCollegeList(examId, courseCode);
    }

    /**
     * 查询老师列表
     *
     * @param examId
     * @param courseCode
     * @return
     */
    @Override
    public List<TBExamStudentResult> selectTeachList(Long examId, String courseCode) {
        return tbExamStudentMapper.selectTeachList(examId, courseCode);
    }

    @Override
    public List<TBExamStudentResult> selectClassList(Long examId, String courseCode) {
        return tbExamStudentMapper.selectClassList(examId, courseCode);
    }
}
